# Tasks Object

> Source: https://truto.one/docs/api-reference/unified-ticketing-api/tasks/

Schema for the `Tasks` resource in **Unified Ticketing API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the task
- **`name`** _(string)_
  The name of the task
- **`assignees`** _(array<object>)_
  The users assigned to the task
  - **`id`** _(string)_
    The unique identifier for the user
  - **`name`** _(string)_
    The name of the user
- **`description`** _(string)_
  The description of the task
- **`due_date`** _(string)_
  The due date of the task
- **`ticket`** _(object)_
  The ticket the task is associated with
  - **`id`** _(string)_
    The unique identifier for the ticket
- **`task_list`** _(object)_
  The task list the task is associated with
  - **`id`** _(string)_
    The unique identifier for the task list
- **`status`** _(object)_
  The status of the task
  - **`id`** _(string)_
    The unique identifier for the status
  - **`name`** _(string)_
    The name of the status
- **`created_at`** _(string)_
  The date and time the task was created
- **`updated_at`** _(string)_
  The date and time the task was last updated
- **`etag`** _(string)_
  The unique identifier for the specific version of the resource.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/ticketing/tasks](/docs/api-reference/unified-ticketing-api/tasks/list) — List Tasks
- [POST /unified/ticketing/tasks](/docs/api-reference/unified-ticketing-api/tasks/create) — Create Tasks
- [GET /unified/ticketing/tasks/{id}](/docs/api-reference/unified-ticketing-api/tasks/get) — Get Tasks
- [PATCH /unified/ticketing/tasks/{id}](/docs/api-reference/unified-ticketing-api/tasks/update) — Update Tasks
- [DELETE /unified/ticketing/tasks/{id}](/docs/api-reference/unified-ticketing-api/tasks/delete) — Delete Tasks
